function  WWHBookData_AddTOCEntries(P)
{
var A=P.fN("Progress  Debugger Guide","0");
A=P.fN("Preface ","1");
var B=A.fN("Purpose","1#wp562890");
B=A.fN("Audience","1#wp562908");
B=A.fN("Organization of This Manual","1#wp562916");
B=A.fN("How to Use This Manual","1#wp571687");
B=A.fN("Typographical Conventions","1#wp562970");
B=A.fN("Syntax Notation","1#wp563030");
B=A.fN("Example Procedures","1#wp563155");
B=A.fN("Progress Messages","1#wp563314");
B=A.fN("Other Useful Documentation","1#wp572149");
A=P.fN("Introduction","2#wp866437");
B=A.fN(" Debugger Features and Functions","3");
var C=B.fN(" Application Control","4");
C=B.fN(" Application Data Management","5");
C=B.fN(" Execution Monitoring","6");
C=B.fN(" Session Management and Information","7");
B=A.fN(" How a Debugging Session Operates","8");
C=B.fN(" Interaction Between Debugger and Client","9");
C=B.fN(" Debugger and Application Control","10");
B=A.fN(" Procedures and the Debugger Context","11");
C=B.fN(" The Debugger Context","12");
C=B.fN(" Debugger Context and the Procedure Call Stack","13");
A=P.fN("Quick Tutorial","14#wp55376");
B=A.fN(" Preparation","15");
B=A.fN(" Sample Session","16");
A=P.fN("Starting and Stopping the Debugger","17#wp909512");
B=A.fN(" Debugging Modes","18");
C=B.fN(" Application Mode","19");
C=B.fN(" Stand-alone Mode","20");
C=B.fN(" Stacked Applications","21");
B=A.fN(" Debugging from the Procedure Editor","22");
B=A.fN(" Debugging from the AppBuilder","23");
B=A.fN(" Debugging from the ADE Desktop","24");
B=A.fN(" Debugging from the Operating System","25");
A=P.fN("Debugger Window","26#wp432649");
B=A.fN(" Window Layout","27");
B=A.fN(" Window Panels","28");
C=B.fN(" Listing Panel","29");
C=B.fN(" Button Panel","30");
C=B.fN(" Command Panel","31");
C=B.fN(" Data Panel","32");
B=A.fN(" Menu Bar","33");
C=B.fN(" Accelerator Keys and Mnemonics","34");
C=B.fN(" File Menu","35");
C=B.fN(" Search Menu","36");
C=B.fN(" Debug Menu","37");
C=B.fN(" Options Menu","38");
C=B.fN(" Help Menu","39");
A=P.fN("Running a Debugging Session","40#wp57330");
B=A.fN(" Pattern of Operation","41");
B=A.fN(" Entering Debugger Commands","42");
C=B.fN(" Intrinsic Functions and the Command Queue","43");
C=B.fN(" Break Interrupt Function","44");
C=B.fN(" Command Panel Entry","45");
C=B.fN(" Button Entry","46");
C=B.fN(" Menu Options","47");
C=B.fN(" Command File Entry","48");
B=A.fN(" Exiting a Debugging Session","49");
C=B.fN(" Exiting in Application Mode","50");
C=B.fN(" Debugger Settings on Exit","51");
B=A.fN(" Managing Breakpoints","52");
C=B.fN(" Setting Breakpoints","53");
C=B.fN(" Removing Breakpoints","54");
C=B.fN(" Working with Inactive Procedures","55");
C=B.fN(" Handling Internal Procedures and Procedure Files","56");
B=A.fN(" Controlling Procedure Execution","57");
C=B.fN(" Interrupting a Running Procedure","58");
C=B.fN(" Executing an Interrupted Procedure","59");
C=B.fN(" Running Procedures from the Debugger","60");
C=B.fN(" Continuing Procedure Execution","61");
C=B.fN(" Executing a Specified Number of Lines","62");
C=B.fN(" Terminating an Application from the Debugger","63");
B=A.fN(" Examining and Modifying Procedure Data","64");
C=B.fN(" Listing Buffers, Parameters, and Variables","65");
C=B.fN(" Displaying Data and Attribute Values","66");
C=B.fN(" Modifying Data and Attribute Values","67");
B=A.fN(" Displaying Debugger and Session Information","68");
C=B.fN(" Getting On-line Help","69");
C=B.fN(" Displaying Debugger Session Settings","70");
C=B.fN(" Examining and Navigating in the Debugger Context","71");
C=B.fN(" Determining the Current Transaction State","72");
C=B.fN(" Displaying Debug Listings","73");
B=A.fN(" Defining and Using Macros and Buttons","74");
C=B.fN(" Specifying Macro and Button Definitions","75");
C=B.fN(" Using Macros","76");
C=B.fN(" Using Buttons","77");
C=B.fN(" Removing Macros and Buttons","78");
B=A.fN(" Logging a Debugging Session","79");
C=B.fN(" Using the LOG and CANCEL LOG Commands","80");
C=B.fN(" Automatic Session Logging","81");
B=A.fN(" Debugging Events","82");
C=B.fN(" Nonvolatile Events","83");
C=B.fN(" Volatile Events","84");
A=P.fN("Debugger Files","85#wp366757");
B=A.fN(" Debugger Initialization Files","86");
C=B.fN(" Windows Initialization","87");
C=B.fN(" Motif Initialization","88");
B=A.fN(" Debugger Command Files","89");
B=A.fN(" Debug Listing (.dbg) Files","90");
C=B.fN(" Listing Creation","91");
C=B.fN(" Listing Deletion","92");
C=B.fN(" Listing Format","93");
B=A.fN(" Procedure Files and Listing Generation","94");
C=B.fN(" Debug Listing Generation from R-code","95");
C=B.fN(" Debug Listing Generation from Source Code","96");
C=B.fN(" Hidden Procedure Files","97");
B=A.fN(" Debugger Log Files","98");
C=B.fN(" Log File Contents","99");
C=B.fN(" Log File As a Command File","100");
A=P.fN("DEBUGGER and SESSION System Handles","101#wp329307");
B=A.fN(" DEBUGGER Handle Attributes and Methods","102");
B=A.fN(" Starting the Debugger from the 4GL","103");
C=B.fN(" Starting in Application Mode","104");
C=B.fN(" Starting in Stand-alone Mode","105");
B=A.fN(" Using the DEBUGGER Handle During a Debugging Session","106");
B=A.fN(" Using the SESSION Handle with a Debugging Session","107");
A=P.fN("Command Reference","108#wp626848");
B=A.fN(" ASSIGN Command","109");
B=A.fN(" BREAK Command","110");
B=A.fN(" BUTTON Command","111");
B=A.fN(" CANCEL ALL Command","112");
B=A.fN(" CANCEL BREAK Command","113");
B=A.fN(" CANCEL BUTTON Command","114");
B=A.fN(" CANCEL LOG Command","115");
B=A.fN(" CANCEL MACRO Command","116");
B=A.fN(" CONTINUE Command","117");
B=A.fN(" DISPLAY Command","118");
B=A.fN(" DOWN Command","119");
B=A.fN(" EXIT Command","120");
B=A.fN(" FILE Command","121");
B=A.fN(" HELP Command","122");
B=A.fN(" INPUT Command","123");
B=A.fN(" LIST BUFFERS Command","124");
B=A.fN(" LIST PARAMETERS Command","125");
B=A.fN(" LIST VARIABLES Command","126");
B=A.fN(" LOG Command","127");
B=A.fN(" MACRO Command","128");
B=A.fN(" NEXT Command","129");
B=A.fN(" QUIT Command","130");
B=A.fN(" RUN Command","131");
B=A.fN(" SHOW BREAKS Command","132");
B=A.fN(" SHOW BUTTONS Command","133");
B=A.fN(" SHOW MACROS Command","134");
B=A.fN(" SHOW STACK Command","135");
B=A.fN(" SHOW TRANSACTION Command","136");
B=A.fN(" STEP Command","137");
B=A.fN(" STOP Command","138");
B=A.fN(" UP Command","139");
}
