function  WWHBookData_AddTOCEntries(P)
{
var A=P.fN("Preface ","0");
var B=A.fN("Purpose","0#wp342715");
B=A.fN("Audience","0#wp342755");
B=A.fN("Organization of This Manual","0#wp342761");
B=A.fN("Typographical Conventions","0#wp342803");
B=A.fN("Syntax Notation","0#wp342863");
B=A.fN("Progress Messages","0#wp342994");
B=A.fN("Other Useful Documentation","0#wp352821");
A=P.fN("Introduction","1#wp139819");
B=A.fN(" Progress/ESQL","2");
var C=B.fN(" Static and Dynamic ESQL","3");
B=A.fN(" Prerequisites for Using ESQL","4");
B=A.fN(" Progress/SQL and Progress/ESQL","5");
C=B.fN(" Identifiers","6");
C=B.fN(" Progress Function Support","7");
B=A.fN(" Progress/ESQL Architecture","8");
C=B.fN(" Large Client Model","9");
C=B.fN(" Small Client Model","10");
C=B.fN(" Small Client Model Versus Large Client Model","11");
C=B.fN(" Configuration and Deployment","12");
B=A.fN(" ESQL Directories and Files","13");
B=A.fN(" Overview of Using ESQL","14");
C=B.fN(" Designing and Programming the Application","15");
C=B.fN(" Preprocessing the ESQL Source Files","16");
C=B.fN(" Compiling the Preprocessed Source Files","17");
C=B.fN(" Linking the ESQL Executable","18");
A=P.fN("Programming with ESQL","19#wp305836");
B=A.fN(" Programming Capabilities and Options","20");
C=B.fN(" ESQL Sessions","21");
C=B.fN(" Static and Dynamic ESQL","22");
C=B.fN(" Progress/ESQL and ESQL-LIB","23");
B=A.fN(" Writing an ESQL Application","24");
B=A.fN(" Elements of Progress/ESQL","25");
C=B.fN(" Basic Progress/ESQL Syntax","26");
C=B.fN(" Reserved Words","27");
C=B.fN(" Application Function Names","28");
C=B.fN(" SQL Operators","29");
C=B.fN(" Progress Function Support","30");
C=B.fN(" 3GL Access to Database Schema Triggers","31");
C=B.fN(" ESQL Data Types","32");
C=B.fN(" WHENEVER Statement","33");
C=B.fN(" Progress/ESQL DDL Statements","34");
B=A.fN(" Host Language Variables","35");
C=B.fN(" Host Language Variables and ESQL-LIB","36");
C=B.fN(" Host Language Variables and Dynamic ESQL","37");
C=B.fN(" ESQL Standard Type Definitions and Conversions","38");
C=B.fN(" Using Host Language Variables","39");
B=A.fN(" Indicator Variables","40");
C=B.fN(" Declaring and Specifying Indicator Variables","41");
C=B.fN(" Using Indicator Variables to Exchange NULL Values","42");
C=B.fN(" Using Indicator Variables to Retrieve NULL Values","43");
C=B.fN(" Using Indicator Variables to Set NULL Values","44");
B=A.fN(" Error Handling","45");
C=B.fN(" SQLCODE Variable","46");
C=B.fN(" SQLSTATE Variable","47");
C=B.fN(" Progress Error Messages","48");
C=B.fN(" Function Return Codes","49");
B=A.fN(" Starting and Ending an ESQL Session","50");
C=B.fN(" Starting a Session","51");
C=B.fN(" Ending a Session","52");
B=A.fN(" Connecting and Disconnecting Databases","53");
C=B.fN(" Connecting Databases","54");
C=B.fN(" Disconnecting Databases","55");
B=A.fN(" Managing Transactions in ESQL","56");
C=B.fN(" Committing Work","57");
C=B.fN(" Rolling Back Work","58");
C=B.fN(" Using DDL Statements in Transactions","59");
B=A.fN(" Checking ESQL Run-time Privileges","60");
C=B.fN(" Using the CAN-DO Function in a Singleton SELECT","61");
C=B.fN(" Using the CAN-DO Function in a WHERE Clause","62");
B=A.fN(" Managing Multi-user Applications","63");
C=B.fN(" Application Lock Management","64");
B=A.fN(" Using Dynamic Embedded SQL","65");
C=B.fN(" Differences Between Dynamic and Static ESQL","66");
B=A.fN(" Executing Dynamic ESQL","67");
C=B.fN(" Immediate Execution","68");
C=B.fN(" Prepared Execution","69");
C=B.fN(" Elements of Dynamic ESQL Execution","70");
B=A.fN(" Using Immediate Execution","71");
B=A.fN(" Using Prepared Execution","72");
C=B.fN(" Elements of Prepared Execution","73");
C=B.fN(" Data Exchange in Prepared Execution","74");
C=B.fN(" Forms of Prepared Execution","75");
C=B.fN(" Prepared Execution for Dynamic Cursor Specification","76");
C=B.fN(" Prepared Execution for Non-cursor Specification","77");
B=A.fN(" SQL Descriptor Area","78");
C=B.fN(" Functions for Working with SQL Descriptor Areas","79");
C=B.fN(" SQLDA_T Structure Components","80");
C=B.fN(" SQLVAR_T Structure Components","81");
C=B.fN(" SQLDA Data Type Management","82");
B=A.fN(" Executing Dynamic Cursor Specifications","83");
C=B.fN(" Dynamic Cursor SELECT Using Progress/ESQL","84");
B=A.fN(" Using Dynamic Parameter Markers","85");
C=B.fN(" Parameter Marker Syntax","86");
C=B.fN(" Determining Parameter Marker Data Types","87");
C=B.fN(" Writing an Application with Parameter Markers","88");
C=B.fN(" Using Progress/ESQL and Parameter Markers","89");
C=B.fN(" Using ESQL-LIB and Parameter Markers","90");
B=A.fN(" Dynamic ESQL Statements for Prepared Execution","91");
C=B.fN(" Dynamic PREPARE Statement","92");
C=B.fN(" Dynamic ALLOCATE DESCRIPTOR Statement","93");
C=B.fN(" Dynamic DESCRIBE Statement","94");
C=B.fN(" Dynamic DECLARE CURSOR Statement","95");
C=B.fN(" Dynamic OPEN Statement","96");
C=B.fN(" Dynamic EXECUTE Statement","97");
C=B.fN(" Dynamic FETCH Statement","98");
C=B.fN(" Dynamic CLOSE Cursor Statement","99");
C=B.fN(" Dynamic DEALLOCATE DESCRIPTOR Statement","100");
A=P.fN("Building and Running ESQL Applications","101#wp193644");
B=A.fN(" Choosing an ESQL Configuration","102");
C=B.fN(" ESQL Large Client Model","103");
C=B.fN(" ESQL Small Client Model","104");
C=B.fN(" Differences Between Small and Large Clients","105");
B=A.fN(" Overview of Building an ESQL Executable","106");
B=A.fN(" Preprocessing Progress/ESQL Source Files","107");
C=B.fN(" Precompile Mode","108");
C=B.fN(" Non-precompile Mode","109");
C=B.fN(" ESQL Preprocessor Syntax and Operation","110");
B=A.fN(" Compiling ESQL Source Files","111");
C=B.fN(" Compiling on UNIX Systems","112");
C=B.fN(" Compiling in Windows","113");
B=A.fN(" Building Applications Containing Windows Resources","114");
B=A.fN(" Linking ESQL Executables","115");
C=B.fN(" ESQL Client Executables","116");
C=B.fN(" Linking for Windows with ESQL Small Client","117");
C=B.fN(" PROBUILD and the Linker","118");
B=A.fN(" Running ESQL Applications","119");
C=B.fN(" Preparing to Run Small and Large Client Applications","120");
C=B.fN(" Starting ESQL Small Clients","121");
C=B.fN(" Connecting Small Clients to Open Interface Drivers","122");
C=B.fN(" Setting OIB and OID UNIX Environment Variables","123");
C=B.fN(" Starting UNIX Open Interface Brokers","124");
C=B.fN(" Starting an OID Directly Without a Broker","125");
C=B.fN(" Starting the Small Client Processes","126");
C=B.fN(" Starting Local Small Clients","127");
C=B.fN(" Organizing OID and Database Startup Parameters","128");
C=B.fN(" Shutting Down an ESQL Small Client Application","129");
B=A.fN(" The ESQL Demo Applications","130");
C=B.fN(" Static Embedded SQL Demo Applications","131");
C=B.fN(" Dynamic Embedded SQL Demo Applications","132");
A=P.fN("ESQL-LIB Reference","133#wp572954");
B=A.fN(" Overview","134");
C=B.fN(" Error and Status Returns","135");
C=B.fN(" SQL Request Handles","136");
C=B.fN(" Static ESQL Variables and Literal Constants","137");
C=B.fN(" Dynamic ESQL and the SQL Descriptor Area","138");
C=B.fN(" ESQL-LIB Functions","139");
C=B.fN(" General Diagnostics","140");
B=A.fN(" ESQL-LIB Reference Entries","141");
B=A.fN("sqlald() \u2014 Allocate Dynamic SQL Descriptor","142");
B=A.fN("sqlalloc() \u2014 Allocate Dynamic Memory","143");
B=A.fN("sqlapplname() \u2014 Set the ESQL Application Name","144");
B=A.fN("sqlcdbind() \u2014 Bind Your Error Code Address to ESQL","145");
B=A.fN("sqlcommit() \u2014 Commit the Database Transaction","146");
B=A.fN("sqlconn() \u2014 Connect Database(s)","147");
B=A.fN("sqldelrow() \u2014 Delete Row at Open Cursor","148");
B=A.fN("sqldinit() \u2014 Initialize an Allocated SQL Descriptor Area","149");
B=A.fN("sqldiscon() \u2014 Disconnect a Database","150");
B=A.fN("sqldld() \u2014 Deallocate Dynamic Descriptor Area","151");
B=A.fN("sqldsize() \u2014 Calculate the Size of an SQL Descriptor Area","152");
B=A.fN("sqldynclose() \u2014 Close an SQL Statement","153");
B=A.fN("sqldyndesc() \u2014 Get Dynamic Column Descriptions","154");
B=A.fN("sqldyndescinp() \u2014 Get Dynamic Parameter Descriptions","155");
B=A.fN("sqldynexec() \u2014 Execute a Dynamic SQL Statement","156");
B=A.fN("sqldynftch() \u2014 Fetch Next Row of Dynamic Cursor","157");
B=A.fN("sqldyngetn() \u2014 Get a Cursor Name","158");
B=A.fN("sqldynncols() \u2014 Get the Number of Columns in a Result Set","159");
B=A.fN("sqldynnparms() \u2014 Get the Number of Parameter Markers","160");
B=A.fN("sqldynposfetch() \u2014 Fetch Row of Dynamic Open Cursor","161");
B=A.fN("sqldynprep() \u2014 Prepare a Dynamic SQL Statement","162");
B=A.fN("sqldynrq() \u2014 Execute a Dynamic Non-SELECT Statement","163");
B=A.fN("sqldynsetn() \u2014 Define a Cursor Name","164");
B=A.fN("sqlfetch() \u2014 Fetch Next Row of Open Cursor","165");
B=A.fN("sqlfree() \u2014 Deallocate Dynamic Memory","166");
B=A.fN("sqlgetmsg() \u2014 Get Next Error Message","167");
B=A.fN("sqlgetrqhdl() \u2014 Get a Dynamic Request Handle","168");
B=A.fN("sqllogin() \u2014 Start a Progress ESQL Session","169");
B=A.fN("sqllogout() \u2014 Terminate a Progress ESQL Session","170");
B=A.fN("sqlrequest() \u2014 Execute a Static ESQL Statement","171");
B=A.fN("sqlrollback() \u2014 Rollback Any Pending Transaction","172");
B=A.fN("sqlsetlogoption() \u2014 Set a Session-wide Option","173");
B=A.fN("sqlupdrow() \u2014 Update Row at Open Cursor","174");
A=P.fN("Progress ESQL and ANSI Standards","175#wp592219");
B=A.fN(" Data Type Conversion Rules","176");
C=B.fN(" Assignment Rules","177");
C=B.fN(" Comparison Rules","178");
C=B.fN(" UNION Data Type Compatibility","179");
B=A.fN(" Progress/ESQL Not Addressed in 1989 SQL Standard","180");
B=A.fN(" Standard Behavior Available Only with -Q or -Q2","181");
B=A.fN(" Progress/ESQL Extensions to 1989 SQL","182");
A=P.fN("ESQL Data Type Compatibilities","183#wp926043");
B=A.fN(" SQL and Core Progress Data Types","184");
B=A.fN(" ESQL Standard C Data Type Definitions","185");
B=A.fN(" Static ESQL Data Type Matching","186");
B=A.fN(" Dynamic ESQL Data Type Matching and Conversion","187");
C=B.fN(" The SQL Descriptor Area and Data Type Conversion","188");
C=B.fN(" Output Data Conversion","189");
C=B.fN(" Input Data Conversion","190");
A=P.fN("V6 HLI to V9 ESQL Migration","191#wp131152");
B=A.fN(" Migrating SQL Preprocessor-based Applications","192");
C=B.fN(" Using Dynamic ESQL","193");
C=B.fN(" Calling sqllogout()","194");
C=B.fN(" Using Host Language Variables","195");
C=B.fN(" Preparing the Executable","196");
B=A.fN(" Migrating ESQL-LIB-based Applications","197");
C=B.fN(" Changing Calls to sqlcdbind()","198");
C=B.fN(" Changing sqlv[] Array References","199");
C=B.fN(" Changing Function Return Behavior","200");
C=B.fN(" Replacing Calls to sqldynopen()","201");
C=B.fN(" Replacing Calls to sqlclose()","202");
C=B.fN(" Removing Obsolete Functions","203");
C=B.fN(" Preparing the Executable","204");
}
