function  WWHBookData_AddTOCEntries(P)
{
var A=P.fN("Progress  Embedded SQL-92 Guide and Reference","0");
A=P.fN("Preface ","1");
var B=A.fN("Purpose","1#wp761992");
B=A.fN("Audience","1#wp762002");
B=A.fN("Organization of This Manual","1#wp762016");
B=A.fN("How to Use This Manual","1#wp762087");
B=A.fN("Typographical Conventions","1#wp762105");
B=A.fN("Syntax Notation","1#wp762165");
B=A.fN("Other Useful Documentation","1#wp777507");
A=P.fN("Introduction","2#wp3295");
B=A.fN(" Embedding SQL-92 Statements in a C Language Program","3");
B=A.fN(" Advantages of Using ESQL","4");
B=A.fN(" Program Components of an ESQL Application","5");
B=A.fN(" Embedded SQL Precompiler ESQLC","6");
A=P.fN("Using the ESQLC Command","7#wp348");
B=A.fN(" Overview of the ESQL Precompiler","8");
B=A.fN(" Filenames for ESQL Programs","9");
B=A.fN(" ESQLC Command","10");
var C=B.fN(" Invoking the ESQLC Command","11");
C=B.fN(" Platform-specific C Compiler Commands","12");
B=A.fN(" Building an ESQL Application Program Executable","13");
B=A.fN(" Examples Illustrating Precompiler Options","14");
C=B.fN(" Use the +V Option for Verbose Output","15");
C=B.fN(" Use the +K Option to Keep Intermediate Files","16");
C=B.fN(" Use the +G Option to Insert Debug Statements","17");
A=P.fN("ESQL-92 Program Structure","18#wp301");
B=A.fN(" Defining Variables in a DECLARE SECTION","19");
B=A.fN(" ESQL Executable Statements","20");
C=B.fN(" Using Host Variables","21");
C=B.fN(" Using Indicator Variables","22");
C=B.fN(" Using Indicator Variables with INPUT Host Variables","23");
C=B.fN(" Using Indicator Variables with OUTPUT Host Variables","24");
C=B.fN(" Limitations of the DECLARE SECTION","25");
B=A.fN(" Types of Executable Statements","26");
B=A.fN(" Error Handling in ESQL Programs","27");
C=B.fN(" SQL Communications Area (SQLCA)","28");
C=B.fN(" Using the WHENEVER Statement","29");
B=A.fN(" Transaction Management Statements","30");
A=P.fN("Connection Management in ESQL-92","31#wp656720");
B=A.fN(" Introduction","32");
B=A.fN(" CONNECT Statement","33");
C=B.fN(" CONNECT Using a Connection Name","34");
C=B.fN(" CONNECT by DEFAULT","35");
C=B.fN(" CONNECT to a Remote Database","36");
B=A.fN(" SET CONNECTION Statement","37");
B=A.fN(" DISCONNECT Statement","38");
A=P.fN("SQL-92 Data Definition Statements","39#wp6238");
B=A.fN(" CREATE TABLE and DROP TABLE Statements","40");
C=B.fN(" CREATE TABLE","41");
C=B.fN(" DROP TABLE","42");
B=A.fN(" CREATE INDEX and DROP INDEX Statements","43");
C=B.fN(" CREATE INDEX","44");
C=B.fN(" DROP INDEX","45");
B=A.fN(" CREATE VIEW and DROP VIEW Statements","46");
C=B.fN(" CREATE VIEW","47");
C=B.fN(" DROP VIEW","48");
B=A.fN(" Integrity Constraints","49");
C=B.fN(" Need for Integrity Constraints","50");
C=B.fN(" Types of Integrity Constraints","51");
C=B.fN(" Check Constraints","52");
C=B.fN(" Primary Keys","53");
C=B.fN(" Candidate Keys","54");
C=B.fN(" Referential Constraints","55");
C=B.fN(" Handling Cycles in Referential Integrity","56");
B=A.fN(" DDL Statements in Long-running Transactions","57");
A=P.fN("SQL-92 Data Manipulation Statements","58#wp446793");
B=A.fN(" Using DML Statements","59");
C=B.fN(" INSERT Rows into a Table","60");
C=B.fN(" DELETE Rows from a Table","61");
C=B.fN(" UPDATE Rows in a Table","62");
B=A.fN(" INPUT Host Variables in DML Statements","63");
A=P.fN("Query Statements","64#wp542399");
B=A.fN(" Elements of a Query","65");
C=B.fN(" SELECT Statement Clauses","66");
C=B.fN(" INPUT Host Variables in Query Statements","67");
C=B.fN(" OUTPUT Host Variables in Query Statements","68");
B=A.fN(" Queries Returning a Single Row","69");
B=A.fN(" Queries Returning Multiple Rows","70");
C=B.fN(" Introduction to Cursors","71");
C=B.fN(" Associating a Cursor with a Query","72");
C=B.fN(" OPEN a Cursor","73");
C=B.fN(" FETCH Rows Using a Cursor","74");
C=B.fN(" CLOSE a Cursor","75");
C=B.fN(" UPDATE or DELETE the Current Row","76");
B=A.fN(" Array Fetches","77");
A=P.fN("Handling NULL Values in ESQL-92","78#wp84662");
B=A.fN(" Introduction","79");
B=A.fN(" INSERT NULL Values","80");
C=B.fN(" INSERT Null Values by DEFAULT","81");
C=B.fN(" Use the NULL Keyword","82");
C=B.fN(" Use Indicator Variables","83");
B=A.fN(" UPDATE with NULL Values","84");
B=A.fN(" RETRIEVE NULL Values","85");
C=B.fN(" Using Indicator Variables","86");
C=B.fN(" Using the NVL Scalar Function","87");
B=A.fN(" NULL Values in Expressions","88");
B=A.fN(" NULL Values in the WHERE Clause","89");
B=A.fN(" NULL Values in a GROUP BY Clause","90");
B=A.fN(" NULL Values in an ORDER BY Clause","91");
B=A.fN(" NULL Values in Scalar Functions","92");
B=A.fN(" NULL Values in Aggregate Functions","93");
A=P.fN("Handling Errors in ESQL-92","94#wp4798");
B=A.fN(" Using an SQLCA for Error Handling","95");
B=A.fN(" The SQLCA Structure","96");
C=B.fN(" Using an SQLCA to Check for Errors","97");
C=B.fN(" Using an SQLCA to Check for Warnings","98");
B=A.fN(" Using the WHENEVER Statement for Error Handling","99");
C=B.fN(" Branching Under Exceptions","100");
C=B.fN(" Scope of the WHENEVER Statement","101");
B=A.fN(" Using Indicator Variables for Error Handling","102");
A=P.fN("Dynamic SQL Management in ESQL-92","103#wp233");
B=A.fN(" Introduction","104");
B=A.fN(" PREPARE Statement","105");
B=A.fN(" EXECUTE Statement","106");
B=A.fN(" EXECUTE IMMEDIATE Statement","107");
B=A.fN(" SELECT Statement","108");
C=B.fN(" OPEN a Cursor","109");
C=B.fN(" FETCH Rows Using a Cursor","110");
C=B.fN(" CLOSE a Cursor","111");
B=A.fN(" SQL Descriptor Area (SQLDA)","112");
C=B.fN(" When to Use an SQLDA","113");
C=B.fN(" SQLDA Structure","114");
C=B.fN(" Guidelines for Using an SQLDA","115");
C=B.fN(" Allocating an SQLDA","116");
C=B.fN(" Using an SQLDA for Array Fetches","117");
C=B.fN(" Freeing an SQLDA","118");
B=A.fN(" DESCRIBE Statement","119");
B=A.fN(" SQLDA for Input Variables","120");
B=A.fN(" SQLDA for Output Variables","121");
A=P.fN("Transaction Management in ESQL-92","122#wp143");
B=A.fN(" Introduction to Transactions","123");
C=B.fN(" Starting a Transaction","124");
C=B.fN(" COMMIT Statement","125");
C=B.fN(" ROLLBACK Statement","126");
B=A.fN(" Transaction Isolation Levels","127");
B=A.fN(" Locking and Transactions","128");
B=A.fN(" Abnormal Termination of an ESQL Application Program","129");
C=B.fN(" Forced Rollback of a Transaction","130");
C=B.fN(" Interrupting the Execution of an SQL Statement","131");
A=P.fN("Guidelines for Developing ESQL-92 Applications","132#wp168");
B=A.fN(" Coding Guidelines","133");
B=A.fN(" Using SQL for Computation","134");
B=A.fN(" Using SQL for Condition Evaluation","135");
B=A.fN(" Using Indicator Variables","136");
B=A.fN(" Using Scalar Functions","137");
B=A.fN(" Using Static and Dynamic Statements","138");
A=P.fN("Handling Data Types in ESQL-92","139#wp36648");
B=A.fN(" Introduction","140");
B=A.fN(" Character Data Types","141");
C=B.fN(" CHARACTER Data Type","142");
C=B.fN(" VARCHAR Data Type","143");
B=A.fN(" Exact Numeric Data Types","144");
C=B.fN(" INTEGER Data Type","145");
C=B.fN(" SMALLINT Data Type","146");
C=B.fN(" TINYINT Data Type","147");
C=B.fN(" NUMERIC or DECIMAL Data Type","148");
B=A.fN(" Approximate Numeric Data Types","149");
C=B.fN(" REAL Data Type","150");
C=B.fN(" FLOAT Data Type","151");
C=B.fN(" DOUBLE PRECISION Data Type","152");
B=A.fN(" Date-time Data Types","153");
C=B.fN(" DATE Data Type","154");
C=B.fN(" TIME Data Type","155");
C=B.fN(" TIMESTAMP Data Type","156");
B=A.fN(" Bit String Data Types","157");
C=B.fN(" BIT Data Type","158");
C=B.fN(" BINARY Data Type","159");
C=B.fN(" VARBINARY Data Type","160");
B=A.fN(" Data Conversion","161");
C=B.fN(" Implicit Data Conversion","162");
C=B.fN(" Explicit Data Conversion Using tpe_conv_data( )","163");
C=B.fN(" Explicit Data Conversion Using Scalar Functions","164");
C=B.fN(" Explicit Data Conversion Using SQL and syscalctable","165");
B=A.fN(" Data Comparison","166");
C=B.fN(" Explicit Data Comparison Using tpe_compare_data( )","167");
C=B.fN(" Explicit Data Comparison Using SQL and syscalctable","168");
A=P.fN("Embedded SQL-92 Reference","169#wp101761");
B=A.fN("BEGIN-END DECLARE SECTION","170");
B=A.fN("CLOSE Statement","171");
B=A.fN("DECLARE CURSOR Statement","172");
B=A.fN("DESCRIBE Statements","173");
B=A.fN("DESCRIBE BIND VARIABLES Statement","174");
B=A.fN("DESCRIBE SELECT LIST Statement","175");
B=A.fN("EXEC SQL Delimiter","176");
B=A.fN("EXECUTE Statement","177");
B=A.fN("EXECUTE IMMEDIATE Statement","178");
B=A.fN("FETCH Statement","179");
B=A.fN("OPEN Statement","180");
B=A.fN("PREPARE Statement","181");
B=A.fN("Query Expressions","182");
B=A.fN("Search Conditions","183");
B=A.fN("SELECT Statement for a Single Row","184");
B=A.fN("Type Specifications for Host Language Types","185");
B=A.fN("Type Specifications for Static Array Types","186");
B=A.fN("WHENEVER Statement","187");
A=P.fN("ESQL-92 Sample Programs","188#wp22755");
B=A.fN("1StatUpd.pc","189");
B=A.fN("2StatSel.pc","190");
B=A.fN("3DynUpd.pc","191");
B=A.fN("4DynSel.pc","192");
A=P.fN("Compile, Link, and Run-time Requirements","193#wp314622");
B=A.fN(" Requirements for All Platforms","194");
B=A.fN(" Compile, Link, and Run-time Requirements by Platform","195");
A=P.fN("Glossary ","196");
}
